# Get Workflow Endpoint: GET /agent-workflows/{id} Version: 2.68.0 Security: OAuth2 ## Path parameters: - `id` (string, required) ## Response 200 fields (application/json): - `id` (string,null) Example: "dcbc075f-a99c-4199-86ed-fb4ed5684dd9" - `companyId` (string, required) Example: "6081acde0377a83b93f05a10" - `projects` (string, required) Comma separated list of projectIds Example: "6299d91c04dd5dd5d81c99bb,63bc7bf22b5bc8f3d0625092" - `name` (string, required) Name for Workflow Example: "Some very nice workflow" - `model` (string, required) Model id used for prompting Example: "dcbc075f-a99c-4199-86ed-fb4ed5684dd9" - `description` (string,null) Description of Workflow Example: "Some more verbose description" - `trainingCompanyId` (string,null) Example: "6081acde0377a83b93f05a10" - `trainingProjects` (string,null) Comma separated list of training projectIds used as source documents repository Example: "6523b5bcac1cb469d7fc1bd9" - `createdAt` (string,null) Date when Workflow was added Example: "2023-10-27T11:38:18.000Z" - `createdBy` (string,null) Id of the caller that created the workflow; an OAuth client id when created via this API Example: "acme-integration" - `updatedBy` (string,null) Id of the caller that last updated the workflow; an OAuth client id when updated via this API Example: "acme-integration" - `updatedAt` (string,null) Date when Workflow was last modified Example: "2023-10-27T12:38:18.000Z" - `similarityThreshold` (number,null) Defines the minimum similarity between the uploaded document and context examples from the training project Example: 0.78 - `useOcrTextPages` (boolean,null) Ability to use ocrTextPages (Google OCR) in the prompt - `editors` (array) Editor ids that can edit workflow - `similarityApi` (boolean,null) Ability to set similarity service API for document training data Example: true - `useImages` (boolean,null) Ability to set images usage to workflow - `maxNumTrainingDocuments` (integer) Maximum number of training documents used in the workflow Example: 2 - `bboxRegionDetectionMode` (string,null) The bounding boxes region detection mode of prompting-settings Enum: "WORD_MATCHING", "LLM" - `workflowType` (string,null) Type of workflow (EXTRACTION returns value-form entities, PREPROCESSING returns raw JSON) Enum: "EXTRACTION", "PREPROCESSING" - `workflowConfiguration` (object,null) The workflow's step configuration: the agents to run and how they are chained - `version` (string,null) Workflow version - `sourceWorkflowId` (string,null) Source workflow identifier for imported workflows - `sourceWorkflowVersion` (string,null) Concrete source workflow version used for import - `isOotb` (boolean) Whether persisted import provenance classifies this workflow as OOTB ## Response 401 fields (application/json): - `status` (integer, required) Example: 422 - `title` (string, required) Example: "Request validation error" - `detail` (string,null) Example: "Validation error details" ## Response 403 fields (application/json): - `status` (integer, required) Example: 422 - `title` (string, required) Example: "Request validation error" - `detail` (string,null) Example: "Validation error details" ## Response 404 fields (application/json): - `status` (integer, required) Example: 422 - `title` (string, required) Example: "Request validation error" - `detail` (string,null) Example: "Validation error details" ## Response 422 fields (application/json): - `status` (integer, required) Example: 422 - `title` (string, required) Example: "Request validation error" - `detail` (string,null) Example: "Validation error details"